Skip to content
Newer
Older
100644 101 lines (81 sloc) 2.36 KB
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
1 source 'https://rubygems.org'
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored Jan 31, 2010
2
4eb0d58 @drogus Use gemspec instead of gem rails in Gemfile
drogus authored Dec 18, 2010
3 gemspec
4
13df581 @tenderlove using AREL from the environment if it exists
tenderlove authored Jul 25, 2010
5 if ENV['AREL']
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
6 gem 'arel', path: ENV['AREL']
562583c @jonleighton Add ActiveRecord::Relation#uniq for toggling DISTINCT in the SQL query
jonleighton authored Nov 4, 2011
7 else
4b4a855 @jonleighton support relations created with a table alias
jonleighton authored Jul 13, 2012
8 gem 'arel', github: 'rails/arel'
13df581 @tenderlove using AREL from the environment if it exists
tenderlove authored Jul 25, 2010
9 end
10
089da2e @tenderlove hook mocha in through m/t before_setup, after_teardown hooks
tenderlove authored Jul 3, 2012
11 gem 'mocha', '>= 0.11.2', :require => false
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
12 gem 'rack-test', github: "brynary/rack-test"
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
13 gem 'bcrypt-ruby', '~> 3.0.0'
14 gem 'jquery-rails'
5f0b37c @tenderlove Switching rack-mount to journey.
tenderlove authored Sep 8, 2011
15
16 if ENV['JOURNEY']
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
17 gem 'journey', path: ENV['JOURNEY']
5f0b37c @tenderlove Switching rack-mount to journey.
tenderlove authored Sep 8, 2011
18 else
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
19 gem 'journey', github: "rails/journey"
5f0b37c @tenderlove Switching rack-mount to journey.
tenderlove authored Sep 8, 2011
20 end
21
dd2c9b9 @jonleighton add active_record_deprecated_finders as a dep
jonleighton authored Apr 12, 2012
22 if ENV['AR_DEPRECATED_FINDERS']
17bb324 @jonleighton Renaming active_record_deprecated_finders to activerecord-deprecated_…
jonleighton authored Aug 17, 2012
23 gem 'activerecord-deprecated_finders', path: ENV['AR_DEPRECATED_FINDERS']
dd2c9b9 @jonleighton add active_record_deprecated_finders as a dep
jonleighton authored Apr 12, 2012
24 else
17bb324 @jonleighton Renaming active_record_deprecated_finders to activerecord-deprecated_…
jonleighton authored Aug 17, 2012
25 gem 'activerecord-deprecated_finders', github: 'rails/activerecord-deprecated_finders'
dd2c9b9 @jonleighton add active_record_deprecated_finders as a dep
jonleighton authored Apr 12, 2012
26 end
27
2f6e389 @josevalim Make compressors lazily load.
josevalim authored Jul 6, 2011
28 # This needs to be with require false to avoid
29 # it being automatically loaded by sprockets
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
30 gem 'uglifier', '>= 1.0.3', require: false
2b47059 @josh Add sprockets to Gemfile for testing
josh authored Mar 29, 2011
31
5bc98c9 @fxn defines a :doc group in the project's Rakefile, just for the sake of …
fxn authored Jan 12, 2011
32 group :doc do
4936fc3 @fxn use our own fork of sdoc while Vijay's fix is not applied to voloko/sdoc
fxn authored Dec 8, 2011
33 # The current sdoc cannot generate GitHub links due
34 # to a bug, but the PR that fixes it has been there
35 # for some weeks unapplied. As a temporary solution
36 # this is our own fork with the fix.
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
37 gem 'sdoc', github: 'fxn/sdoc'
dbfc6b8 @fxn removes Ruby constraint in RedCloth dependency
fxn authored Dec 15, 2011
38 gem 'RedCloth', '~> 4.2'
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
39 gem 'w3c_validators'
5bc98c9 @fxn defines a :doc group in the project's Rakefile, just for the sake of …
fxn authored Jan 12, 2011
40 end
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored Nov 10, 2009
41
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored Jul 26, 2010
42 # AS
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
43 gem 'memcache-client', '>= 1.8.5'
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored Jul 25, 2010
44
a437986 @tenderlove allow people to set a local .Gemfile so that things like ruby-debug a…
tenderlove authored Nov 17, 2011
45 # Add your own local bundler stuff
c4ceee8 @bogdan Fixed path to local gemfile.
bogdan authored Jan 2, 2012
46 local_gemfile = File.dirname(__FILE__) + "/.Gemfile"
47 instance_eval File.read local_gemfile if File.exists? local_gemfile
29b54a4 @spastorino Bring back ruby-debug19 for Ruby versions < 1.9.3
spastorino authored Nov 5, 2010
48
74eb848 @zhengjia remove ruby-prof for rubinius in Gemfile
zhengjia authored Jul 22, 2011
49 platforms :mri do
50 group :test do
91c26e8 @arunagw Fixed ruby-prof changes and let's use latest ruby-prof now.
arunagw authored May 13, 2012
51 gem 'ruby-prof', '~> 0.11.2'
74eb848 @zhengjia remove ruby-prof for rubinius in Gemfile
zhengjia authored Jul 22, 2011
52 end
53 end
54
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored Jul 25, 2010
55 platforms :ruby do
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
56 gem 'json'
57 gem 'yajl-ruby'
58 gem 'nokogiri', '>= 1.4.5'
976a9d9 @arunagw Grouped the ruby-prof into test.
arunagw authored May 5, 2011
59
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored Jul 25, 2010
60 # AR
2fac915 @oscardelben Bumo sqlite3 gem
oscardelben authored May 15, 2012
61 gem 'sqlite3', '~> 1.3.6'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored May 19, 2010
62
63 group :db do
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
64 gem 'pg', '>= 0.11.0'
65 gem 'mysql', '>= 2.8.1'
66 gem 'mysql2', '>= 0.3.10'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored May 19, 2010
67 end
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored Jul 25, 2010
68 end
69
70 platforms :jruby do
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
71 gem 'json'
72 gem 'activerecord-jdbcsqlite3-adapter', '>= 1.2.0'
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored Dec 31, 2009
73
ad13eb7 @spastorino Add a TODO to remove gem "jruby-openssl" when jruby-openssl is merge …
spastorino authored Oct 7, 2010
74 # This is needed by now to let tests work on JRuby
75 # TODO: When the JRuby guys merge jruby-openssl in
76 # jruby this will be removed
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
77 gem 'jruby-openssl'
ea30da3 @anildigital Add jruby-openssl gem in Gemfile necessary for JRuby
anildigital authored Oct 6, 2010
78
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored May 19, 2010
79 group :db do
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
80 gem 'activerecord-jdbcmysql-adapter', '>= 1.2.0'
81 gem 'activerecord-jdbcpostgresql-adapter', '>= 1.2.0'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored May 19, 2010
82 end
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored Jan 1, 2010
83 end
4e3d220 @rsim added dependencies in Gemfile for running ActiveRecord tests with Ora…
rsim authored Aug 17, 2010
84
85 # gems that are necessary for ActiveRecord tests with Oracle database
86 if ENV['ORACLE_ENHANCED_PATH'] || ENV['ORACLE_ENHANCED']
87 platforms :ruby do
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
88 gem 'ruby-oci8', '>= 2.0.4'
4e3d220 @rsim added dependencies in Gemfile for running ActiveRecord tests with Ora…
rsim authored Aug 16, 2010
89 end
90 if ENV['ORACLE_ENHANCED_PATH']
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
91 gem 'activerecord-oracle_enhanced-adapter', path: ENV['ORACLE_ENHANCED_PATH']
4e3d220 @rsim added dependencies in Gemfile for running ActiveRecord tests with Ora…
rsim authored Aug 16, 2010
92 else
17f2958 @drogus Use :github option in Gemfile and make hashes consistent
drogus authored May 1, 2012
93 gem 'activerecord-oracle_enhanced-adapter', github: 'rsim/oracle-enhanced'
4e3d220 @rsim added dependencies in Gemfile for running ActiveRecord tests with Ora…
rsim authored Aug 16, 2010
94 end
95 end
b564ffc @yahonda To support ActiveRecord unit tests for IBM DB2
yahonda authored Oct 2, 2011
96
8cc70cf @yahonda Fix typo in Rakefile
yahonda authored Oct 3, 2011
97 # A gem necessary for ActiveRecord tests with IBM DB
3ffa01c @sferik Make quotes in Gemfile consistent (use single quotes)
sferik authored Dec 12, 2011
98 gem 'ibm_db' if ENV['IBM_DB']
1411fc1 @jonleighton Use benchmark/ips to measure AR performance
jonleighton authored Aug 17, 2012
99
100 gem 'benchmark-ips'
Something went wrong with that request. Please try again.